StartupEvents.registry('item', event => {
	event.create('sake_bowl')	
	.displayName("Saké")
	.useAnimation("drink")
		
	.food(food => {
		food
    		.hunger(0)
    		.saturation(0)
			.alwaysEdible(true)
      		.effect('slowness', 200, 1, 1)
			.effect('mining_fatigue', 200, 1, 1)
      		.eaten(ctx => {
        		ctx.player.tell(Text.gold('大丈夫です。'))
				ctx.player.give('kubejs:empty_sake_bowl')
			})
	})
})
StartupEvents.registry('item', event => {
	event.create('sake_bottle')		
	.displayName("Bouteille de Saké")
	.useAnimation("drink")
	.food(food => {
		food
    		.hunger(0)
    		.saturation(0)
			.alwaysEdible(true)
      		.effect('slowness', 1200, 3, 1)
			.effect('mining_fatigue', 1200, 3, 1)
      		.eaten(ctx => {
        		ctx.player.tell(Text.gold('大丈夫です。'))
				ctx.player.give('kubejs:empty_sake_bottle')

        	})
		})
	})

StartupEvents.registry('item', event => {
	event.create('empty_sake_bowl')
	.displayName("Bol à Saké")
})
StartupEvents.registry('item', event => {
	event.create('empty_sake_bottle')
	.displayName("Bouteille de Saké vide")
})
// Listen to item registry event
StartupEvents.registry('item', e => {
	e.create('beaconflight:flight_beacon').texture('kubejs:item/flight_beacon') // This texture would be located at kubejs/assets/mobbo/textures/item/lava.png
  })